Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#52 OS X 10.7.* build configuration is broken

None
closed
nobody
MacOSX (1)
5
2015-02-10
2013-10-02
David Deharbe
No

I tried to install Reduce, without success, on an OSX machine. I copied below my interaction with the shell while trying to build Reduce.

I noted that:
1. configure seems to look for a powerpc compiler:
2. standard C header files could not be located while compiling conftest.c
3. developer tool Rez is not located where the compilation script expects it
4. there might be some missing configuration file in www.zib.de

Maybe the architecture of my computer is not supported? I hope that helps nevertheless.

Best regards,

-- David Deharbe.

uname -a
Darwin Davids-MacBook-Air.local 11.4.2 Darwin Kernel Version 11.4.2: Thu Aug 23 16:25:48 PDT 2012; root:xnu-1699.32.7~1/RELEASE_X86_64 x86_64
Davids-MacBook-Air:reduce david$ ./configure --with-psl
configure: Absolute path to source directory = /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce
checking build system type... x86_64-apple-darwin11.4.2
checking host system type... x86_64-apple-darwin11.4.2
in-place build attempt = yes
configure: +++ Will build in /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce/pslbuild/x86_64-apple-darwin11.4.2
checking build system type... x86_64-apple-darwin11.4.2
checking host system type... x86_64-apple-darwin11.4.2
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce/psl/../install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... no
checking for awk... awk
checking whether make sets $(MAKE)... yes
checking for cygpath... no
configure: Build platform specified as x86_64-apple-darwin11.4.2
mkdir: xport: File exists
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce/psl/support-packages/xport-2.05/install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... no
checking for awk... awk
checking whether make sets $(MAKE)... yes
checking build system type... x86_64-apple-darwin11.4.2
checking host system type... x86_64-apple-darwin11.4.2
configure: Building for Macintosh/Darwin with X
llvm-gcc-4.2: error trying to exec '/usr/bin/../llvm-gcc-4.2/bin/powerpc-apple-darwin11-llvm-gcc-4.2': execvp: No such file or directory
conftest.c:1:19: error: stdio.h: No such file or directory
conftest.c: In function 'main':
conftest.c:3: warning: incompatible implicit declaration of built-in function 'printf'
lipo: can't figure out the architecture type of: /var/folders/qt/n3r015p12xs0lk385wzmsmq00000gn/T//ccXu2BTd.out
llvm-gcc-4.2: error trying to exec '/usr/bin/../llvm-gcc-4.2/bin/powerpc-apple-darwin11-llvm-gcc-4.2': execvp: No such file or directory
conftest.c:1:19: error: stdio.h: No such file or directory
conftest.c: In function 'main':
conftest.c:3: warning: incompatible implicit declaration of built-in function 'printf'
lipo: can't figure out the architecture type of: /var/folders/qt/n3r015p12xs0lk385wzmsmq00000gn/T//cceqprEf.out
llvm-gcc-4.2: error trying to exec '/usr/bin/../llvm-gcc-4.2/bin/powerpc-apple-darwin11-llvm-gcc-4.2': execvp: No such file or directory
conftest.c:1:19: error: stdio.h: No such file or directory
conftest.c: In function 'main':
conftest.c:3: warning: incompatible implicit declaration of built-in function 'printf'
lipo: can't figure out the architecture type of: /var/folders/qt/n3r015p12xs0lk385wzmsmq00000gn/T//ccsWfUGh.out
configure: fat binary creation will probably NOT be possible
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
configure: Checking for OSX10.6 framework
configure: MacOS10.6 SKD NOT found
configure: Checking for OSX10.5 framework
configure: MacOS10.5 SKD NOT found
configure: Checking for OSX10.4u framework
configure: MacOS10.4u SKD NOT found
configure: fat_support=no
checking for debugging...
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking for unistd.h... (cached) yes
checking utime.h usability... yes
checking utime.h presence... yes
checking for utime.h... yes
checking for sys/stat.h... (cached) yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking whether stat file-mode macros are broken... no
checking whether struct tm is in sys/time.h or time.h... time.h
checking size of int... 4
checking size of long... 8
checking for socket in -lsocket... no
checking for gethostbyname in -lnsl... no
checking whether lstat correctly handles trailing slash... no
checking whether stat accepts an empty string... no
checking for ftruncate... yes
checking for gethostbyaddr... yes
checking for gethostbyname... yes
checking for inet_ntoa... yes
checking for mkdir... yes
checking for rmdir... yes
checking for socket... yes
checking whether gcc and cc understand -c and -o together... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: executing depfiles commands
make: ** No rule to make target /Users/david/RECHERCHE/OUTILS/veriT/veriT/extern/reduce/reduce-algebra-20101007/psl/support-packages/xport-2.05/xport.c', needed byxport.o'. Stop.
configure: Will build this PSL using the macintel64 initial binaries
mkdir: psl: File exists
configure: About to update PSL binaries from master web-site at ZIB
Warning - no file "xport.chk" found
Object not found
Unable to continue
Unable to access "http://www.zib.de/Symbolik/reduce/new_model/lisp/psl/macintel64/psl/xport.inc"
Object not found
Unable to continue
Unable to access "http://www.zib.de/Symbolik/reduce/new_model/lisp/psl/macintel64/psl/xport.chk"
No files updated
chmod: bpsl
: No such file or directory
configure: creating ./config.status
config.status: creating Makefile

Davids-MacBook-Air:reduce david$ make
/bin/sh scripts/make.sh
Current machine tag is x86_64-apple-darwin11.4.2
About to build in cslbuild/x86_64-apple-darwin11.4.2
make MYFLAGS= --no-print-directory
echo Build all: make mflags=- --no-print-directory myflags= all
Build all: make mflags=- --no-print-directory myflags= all
make all-am
/Developer/Tools/Rez -t APPL -o csl /Users/david/RECHERCHE/OUTILS/veriT/veriT/extern/reduce/csl/cslbase/mac.r
make[3]: /Developer/Tools/Rez: No such file or directory
make[3]: [make-clickable] Error 1
make[2]:
[all] Error 2
make[1]: *** [all] Error 2
Davids-MacBook-Air:reduce david$ which Rez
/usr/bin/Rez
Davids-MacBook-Air:reduce david$ ping www.zib.de
PING typo.zib.de (130.73.108.64): 56 data bytes
64 bytes from 130.73.108.64: icmp_seq=0 ttl=246 time=287.340 ms
64 bytes from 130.73.108.64: icmp_seq=1 ttl=246 time=310.286 ms
64 bytes from 130.73.108.64: icmp_seq=2 ttl=246 time=333.036 ms
^C
Davids-MacBook-Air:reduce david$ wget http://www.zib.de
--2013-10-02 12:48:36-- http://www.zib.de/
Resolving www.zib.de... 130.73.108.64
Connecting to www.zib.de|130.73.108.64|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: http://www.zib.de/de/home.html [following]
--2013-10-02 12:48:36-- http://www.zib.de/de/home.html
Reusing existing connection to www.zib.de:80.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [text/html]
Saving to: `index.html'

[   <=>                                                                                                                              ] 16,678      26.7K/s   in 0.6s

2013-10-02 12:48:37 (26.7 KB/s) - `index.html' saved [16678]

Related

Bugs: #52

Discussion

  • Thomas Sturm
    Thomas Sturm
    2013-10-02

    When you go to the reduce directory (where you said "./configure --with-psl) and go "svn up" you get the svn revision. It should be 2235. Is it?

    Thomas

     
  • Arthur Norman
    Arthur Norman
    2013-10-02

    Two things you might try while the PSL people are checking into this:

    (1)
    Try "export DONT_USE_XPORT=1" ahead of doing the configure step. This
    gets the various PSL files in a different way that is probably soon going
    to be the default and might cope better.

    (2) Also try "./configure --with-csl" to check if that behaves for you.

    Arthur

    On Wed, 2 Oct 2013, David Deharbe wrote:


    [bugs:#52] OS X 10.7.* build configuration is broken

    Status: open
    Created: Wed Oct 02, 2013 03:51 PM UTC by David Deharbe
    Last Updated: Wed Oct 02, 2013 03:51 PM UTC
    Owner: nobody

    I tried to install Reduce, without success, on an OSX machine. I copied below my interaction with the shell while trying to build Reduce.

    I noted that:
    1. configure seems to look for a powerpc compiler:
    2. standard C header files could not be located while compiling conftest.c
    3. developer tool Rez is not located where the compilation script expects it
    4. there might be some missing configuration file in www.zib.de

    Maybe the architecture of my computer is not supported? I hope that helps nevertheless.

    Best regards,

    -- David Deharbe.

    uname -a
    Darwin Davids-MacBook-Air.local 11.4.2 Darwin Kernel Version 11.4.2: Thu Aug 23 16:25:48 PDT 2012; root:xnu-1699.32.7~1/RELEASE_X86_64 x86_64
    Davids-MacBook-Air:reduce david$ ./configure --with-psl
    configure: Absolute path to source directory = /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce
    checking build system type... x86_64-apple-darwin11.4.2
    checking host system type... x86_64-apple-darwin11.4.2
    in-place build attempt = yes
    configure: +++ Will build in /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce/pslbuild/x86_64-apple-darwin11.4.2
    checking build system type... x86_64-apple-darwin11.4.2
    checking host system type... x86_64-apple-darwin11.4.2
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking for a thread-safe mkdir -p... /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce/psl/../install-sh -c -d
    checking for gawk... no
    checking for mawk... no
    checking for nawk... no
    checking for awk... awk
    checking whether make sets $(MAKE)... yes
    checking for cygpath... no
    configure: Build platform specified as x86_64-apple-darwin11.4.2
    mkdir: xport: File exists
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking for a thread-safe mkdir -p... /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce/psl/support-packages/xport-2.05/install-sh -c -d
    checking for gawk... no
    checking for mawk... no
    checking for nawk... no
    checking for awk... awk
    checking whether make sets $(MAKE)... yes
    checking build system type... x86_64-apple-darwin11.4.2
    checking host system type... x86_64-apple-darwin11.4.2
    configure: Building for Macintosh/Darwin with X
    llvm-gcc-4.2: error trying to exec '/usr/bin/../llvm-gcc-4.2/bin/powerpc-apple-darwin11-llvm-gcc-4.2': execvp: No such file or directory
    conftest.c:1:19: error: stdio.h: No such file or directory
    conftest.c: In function 'main':
    conftest.c:3: warning: incompatible implicit declaration of built-in function 'printf'
    lipo: can't figure out the architecture type of: /var/folders/qt/n3r015p12xs0lk385wzmsmq00000gn/T//ccXu2BTd.out
    llvm-gcc-4.2: error trying to exec '/usr/bin/../llvm-gcc-4.2/bin/powerpc-apple-darwin11-llvm-gcc-4.2': execvp: No such file or directory
    conftest.c:1:19: error: stdio.h: No such file or directory
    conftest.c: In function 'main':
    conftest.c:3: warning: incompatible implicit declaration of built-in function 'printf'
    lipo: can't figure out the architecture type of: /var/folders/qt/n3r015p12xs0lk385wzmsmq00000gn/T//cceqprEf.out
    llvm-gcc-4.2: error trying to exec '/usr/bin/../llvm-gcc-4.2/bin/powerpc-apple-darwin11-llvm-gcc-4.2': execvp: No such file or directory
    conftest.c:1:19: error: stdio.h: No such file or directory
    conftest.c: In function 'main':
    conftest.c:3: warning: incompatible implicit declaration of built-in function 'printf'
    lipo: can't figure out the architecture type of: /var/folders/qt/n3r015p12xs0lk385wzmsmq00000gn/T//ccsWfUGh.out
    configure: fat binary creation will probably NOT be possible
    checking for gcc... gcc
    checking whether the C compiler works... yes
    checking for C compiler default output file name... a.out
    checking for suffix of executables...
    checking whether we are cross compiling... no
    checking for suffix of object files... o
    checking whether we are using the GNU C compiler... yes
    checking whether gcc accepts -g... yes
    checking for gcc option to accept ISO C89... none needed
    checking for style of include used by make... GNU
    checking dependency style of gcc... gcc3
    checking how to run the C preprocessor... gcc -E
    configure: Checking for OSX10.6 framework
    configure: MacOS10.6 SKD NOT found
    configure: Checking for OSX10.5 framework
    configure: MacOS10.5 SKD NOT found
    configure: Checking for OSX10.4u framework
    configure: MacOS10.4u SKD NOT found
    configure: fat_support=no
    checking for debugging...
    checking for dirent.h that defines DIR... yes
    checking for library containing opendir... none required
    checking for grep that handles long lines and -e... /usr/bin/grep
    checking for egrep... /usr/bin/grep -E
    checking for ANSI C header files... yes
    checking for sys/types.h... yes
    checking for sys/stat.h... yes
    checking for stdlib.h... yes
    checking for string.h... yes
    checking for memory.h... yes
    checking for strings.h... yes
    checking for inttypes.h... yes
    checking for stdint.h... yes
    checking for unistd.h... yes
    checking sys/time.h usability... yes
    checking sys/time.h presence... yes
    checking for sys/time.h... yes
    checking for unistd.h... (cached) yes
    checking utime.h usability... yes
    checking utime.h presence... yes
    checking for utime.h... yes
    checking for sys/stat.h... (cached) yes
    checking arpa/inet.h usability... yes
    checking arpa/inet.h presence... yes
    checking for arpa/inet.h... yes
    checking netdb.h usability... yes
    checking netdb.h presence... yes
    checking for netdb.h... yes
    checking netinet/in.h usability... yes
    checking netinet/in.h presence... yes
    checking for netinet/in.h... yes
    checking sys/socket.h usability... yes
    checking sys/socket.h presence... yes
    checking for sys/socket.h... yes
    checking whether stat file-mode macros are broken... no
    checking whether struct tm is in sys/time.h or time.h... time.h
    checking size of int... 4
    checking size of long... 8
    checking for socket in -lsocket... no
    checking for gethostbyname in -lnsl... no
    checking whether lstat correctly handles trailing slash... no
    checking whether stat accepts an empty string... no
    checking for ftruncate... yes
    checking for gethostbyaddr... yes
    checking for gethostbyname... yes
    checking for inet_ntoa... yes
    checking for mkdir... yes
    checking for rmdir... yes
    checking for socket... yes
    checking whether gcc and cc understand -c and -o together... yes
    configure: creating ./config.status
    config.status: creating Makefile
    config.status: executing depfiles commands
    make: ** No rule to make target /Users/david/RECHERCHE/OUTILS/veriT/veriT/extern/reduce/reduce-algebra-20101007/psl/support-packages/xport-2.05/xport.c', needed byxport.o'. Stop.
    configure: Will build this PSL using the macintel64 initial binaries
    mkdir: psl: File exists
    configure: About to update PSL binaries from master web-site at ZIB
    Warning - no file "xport.chk" found
    Object not found
    Unable to continue
    Unable to access "http://www.zib.de/Symbolik/reduce/new_model/lisp/psl/macintel64/psl/xport.inc"
    Object not found
    Unable to continue
    Unable to access "http://www.zib.de/Symbolik/reduce/new_model/lisp/psl/macintel64/psl/xport.chk"
    No files updated
    chmod: bpsl
    : No such file or directory
    configure: creating ./config.status
    config.status: creating Makefile

    Davids-MacBook-Air:reduce david$ make
    /bin/sh scripts/make.sh
    Current machine tag is x86_64-apple-darwin11.4.2
    About to build in cslbuild/x86_64-apple-darwin11.4.2
    make MYFLAGS= --no-print-directory
    echo Build all: make mflags=- --no-print-directory myflags= all
    Build all: make mflags=- --no-print-directory myflags= all
    make all-am
    /Developer/Tools/Rez -t APPL -o csl /Users/david/RECHERCHE/OUTILS/veriT/veriT/extern/reduce/csl/cslbase/mac.r
    make[3]: /Developer/Tools/Rez: No such file or directory
    make[3]: [make-clickable] Error 1
    make[2]:
    [all] Error 2
    make[1]: *** [all] Error 2
    Davids-MacBook-Air:reduce david$ which Rez
    /usr/bin/Rez
    Davids-MacBook-Air:reduce david$ ping www.zib.de
    PING typo.zib.de (130.73.108.64): 56 data bytes
    64 bytes from 130.73.108.64: icmp_seq=0 ttl=246 time=287.340 ms
    64 bytes from 130.73.108.64: icmp_seq=1 ttl=246 time=310.286 ms
    64 bytes from 130.73.108.64: icmp_seq=2 ttl=246 time=333.036 ms
    ^C
    Davids-MacBook-Air:reduce david$ wget http://www.zib.de
    --2013-10-02 12:48:36-- http://www.zib.de/
    Resolving www.zib.de... 130.73.108.64
    Connecting to www.zib.de|130.73.108.64|:80... connected.
    HTTP request sent, awaiting response... 301 Moved Permanently
    Location: http://www.zib.de/de/home.html [following]
    --2013-10-02 12:48:36-- http://www.zib.de/de/home.html
    Reusing existing connection to www.zib.de:80.
    HTTP request sent, awaiting response... 200 OK
    Length: unspecified [text/html]
    Saving to: `index.html'

    [ <=> ] 16,678 26.7K/s in 0.6s

    2013-10-02 12:48:37 (26.7 KB/s) - `index.html' saved [16678]


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/reduce-algebra/bugs/52/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #52

  • David Deharbe
    David Deharbe
    2013-10-02

    On Oct 2, 2013, at 1:31 PM, Arthur Norman wrote:

    Two things you might try while the PSL people are checking into this:

    (1)
    Try "export DONT_USE_XPORT=1" ahead of doing the configure step. This
    gets the various PSL files in a different way that is probably soon going
    to be the default and might cope better.

    Indeed, this did it!

    (2) Also try "./configure --with-csl" to check if that behaves for you.

    I did not try this one though as I needed to configure with --with-psl.

    Thanks a lot for the quick and useful feedback.

    Best regards,

    -- David.

     
  • David Deharbe
    David Deharbe
    2013-10-02

    Yep:

    Davids-MacBook-Air:reduce-algebra david$ svn up
    At revision 2235.

    On Oct 2, 2013, at 1:13 PM, Thomas Sturm wrote:

    When you go to the reduce directory (where you said "./configure --with-psl) and go "svn up" you get the svn revision. It should be 2235. Is it?

    Thomas

    [bugs:#52] OS X 10.7.* build configuration is broken

    Status: open
    Created: Wed Oct 02, 2013 03:51 PM UTC by David Deharbe
    Last Updated: Wed Oct 02, 2013 03:51 PM UTC
    Owner: nobody

    I tried to install Reduce, without success, on an OSX machine. I copied below my interaction with the shell while trying to build Reduce.

    I noted that:
    1. configure seems to look for a powerpc compiler:
    2. standard C header files could not be located while compiling conftest.c
    3. developer tool Rez is not located where the compilation script expects it
    4. there might be some missing configuration file in www.zib.de

    Maybe the architecture of my computer is not supported? I hope that helps nevertheless.

    Best regards,

    -- David Deharbe.

    uname -a
    Darwin Davids-MacBook-Air.local 11.4.2 Darwin Kernel Version 11.4.2: Thu Aug 23 16:25:48 PDT 2012; root:xnu-1699.32.7~1/RELEASE_X86_64 x86_64
    Davids-MacBook-Air:reduce david$ ./configure --with-psl
    configure: Absolute path to source directory = /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce
    checking build system type... x86_64-apple-darwin11.4.2
    checking host system type... x86_64-apple-darwin11.4.2
    in-place build attempt = yes
    configure: +++ Will build in /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce/pslbuild/x86_64-apple-darwin11.4.2
    checking build system type... x86_64-apple-darwin11.4.2
    checking host system type... x86_64-apple-darwin11.4.2
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking for a thread-safe mkdir -p... /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce/psl/../install-sh -c -d
    checking for gawk... no
    checking for mawk... no
    checking for nawk... no
    checking for awk... awk
    checking whether make sets $(MAKE)... yes
    checking for cygpath... no
    configure: Build platform specified as x86_64-apple-darwin11.4.2
    mkdir: xport: File exists
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking for a thread-safe mkdir -p... /Users/david/RECHERCHE/OUTILS/verit/veriT/extern/reduce/psl/support-packages/xport-2.05/install-sh -c -d
    checking for gawk... no
    checking for mawk... no
    checking for nawk... no
    checking for awk... awk
    checking whether make sets $(MAKE)... yes
    checking build system type... x86_64-apple-darwin11.4.2
    checking host system type... x86_64-apple-darwin11.4.2
    configure: Building for Macintosh/Darwin with X
    llvm-gcc-4.2: error trying to exec '/usr/bin/../llvm-gcc-4.2/bin/powerpc-apple-darwin11-llvm-gcc-4.2': execvp: No such file or directory
    conftest.c:1:19: error: stdio.h: No such file or directory
    conftest.c: In function 'main':
    conftest.c:3: warning: incompatible implicit declaration of built-in function 'printf'
    lipo: can't figure out the architecture type of: /var/folders/qt/n3r015p12xs0lk385wzmsmq00000gn/T//ccXu2BTd.out
    llvm-gcc-4.2: error trying to exec '/usr/bin/../llvm-gcc-4.2/bin/powerpc-apple-darwin11-llvm-gcc-4.2': execvp: No such file or directory
    conftest.c:1:19: error: stdio.h: No such file or directory
    conftest.c: In function 'main':
    conftest.c:3: warning: incompatible implicit declaration of built-in function 'printf'
    lipo: can't figure out the architecture type of: /var/folders/qt/n3r015p12xs0lk385wzmsmq00000gn/T//cceqprEf.out
    llvm-gcc-4.2: error trying to exec '/usr/bin/../llvm-gcc-4.2/bin/powerpc-apple-darwin11-llvm-gcc-4.2': execvp: No such file or directory
    conftest.c:1:19: error: stdio.h: No such file or directory
    conftest.c: In function 'main':
    conftest.c:3: warning: incompatible implicit declaration of built-in function 'printf'
    lipo: can't figure out the architecture type of: /var/folders/qt/n3r015p12xs0lk385wzmsmq00000gn/T//ccsWfUGh.out
    configure: fat binary creation will probably NOT be possible
    checking for gcc... gcc
    checking whether the C compiler works... yes
    checking for C compiler default output file name... a.out
    checking for suffix of executables...
    checking whether we are cross compiling... no
    checking for suffix of object files... o
    checking whether we are using the GNU C compiler... yes
    checking whether gcc accepts -g... yes
    checking for gcc option to accept ISO C89... none needed
    checking for style of include used by make... GNU
    checking dependency style of gcc... gcc3
    checking how to run the C preprocessor... gcc -E
    configure: Checking for OSX10.6 framework
    configure: MacOS10.6 SKD NOT found
    configure: Checking for OSX10.5 framework
    configure: MacOS10.5 SKD NOT found
    configure: Checking for OSX10.4u framework
    configure: MacOS10.4u SKD NOT found
    configure: fat_support=no
    checking for debugging...
    checking for dirent.h that defines DIR... yes
    checking for library containing opendir... none required
    checking for grep that handles long lines and -e... /usr/bin/grep
    checking for egrep... /usr/bin/grep -E
    checking for ANSI C header files... yes
    checking for sys/types.h... yes
    checking for sys/stat.h... yes
    checking for stdlib.h... yes
    checking for string.h... yes
    checking for memory.h... yes
    checking for strings.h... yes
    checking for inttypes.h... yes
    checking for stdint.h... yes
    checking for unistd.h... yes
    checking sys/time.h usability... yes
    checking sys/time.h presence... yes
    checking for sys/time.h... yes
    checking for unistd.h... (cached) yes
    checking utime.h usability... yes
    checking utime.h presence... yes
    checking for utime.h... yes
    checking for sys/stat.h... (cached) yes
    checking arpa/inet.h usability... yes
    checking arpa/inet.h presence... yes
    checking for arpa/inet.h... yes
    checking netdb.h usability... yes
    checking netdb.h presence... yes
    checking for netdb.h... yes
    checking netinet/in.h usability... yes
    checking netinet/in.h presence... yes
    checking for netinet/in.h... yes
    checking sys/socket.h usability... yes
    checking sys/socket.h presence... yes
    checking for sys/socket.h... yes
    checking whether stat file-mode macros are broken... no
    checking whether struct tm is in sys/time.h or time.h... time.h
    checking size of int... 4
    checking size of long... 8
    checking for socket in -lsocket... no
    checking for gethostbyname in -lnsl... no
    checking whether lstat correctly handles trailing slash... no
    checking whether stat accepts an empty string... no
    checking for ftruncate... yes
    checking for gethostbyaddr... yes
    checking for gethostbyname... yes
    checking for inet_ntoa... yes
    checking for mkdir... yes
    checking for rmdir... yes
    checking for socket... yes
    checking whether gcc and cc understand -c and -o together... yes
    configure: creating ./config.status
    config.status: creating Makefile
    config.status: executing depfiles commands
    make: ** No rule to make target /Users/david/RECHERCHE/OUTILS/veriT/veriT/extern/reduce/reduce-algebra-20101007/psl/support-packages/xport-2.05/xport.c', needed byxport.o'. Stop.
    configure: Will build this PSL using the macintel64 initial binaries
    mkdir: psl: File exists
    configure: About to update PSL binaries from master web-site at ZIB
    Warning - no file "xport.chk" found
    Object not found
    Unable to continue
    Unable to access "http://www.zib.de/Symbolik/reduce/new_model/lisp/psl/macintel64/psl/xport.inc"
    Object not found
    Unable to continue
    Unable to access "http://www.zib.de/Symbolik/reduce/new_model/lisp/psl/macintel64/psl/xport.chk"
    No files updated
    chmod: bpsl: No such file or directory
    configure: creating ./config.status
    config.status: creating Makefile

    Davids-MacBook-Air:reduce david$ make
    /bin/sh scripts/make.sh
    Current machine tag is x86_64-apple-darwin11.4.2
    About to build in cslbuild/x86_64-apple-darwin11.4.2
    make MYFLAGS= --no-print-directory
    echo Build all: make mflags=- --no-print-directory myflags= all
    Build all: make mflags=- --no-print-directory myflags= all
    make all-am
    /Developer/Tools/Rez -t APPL -o csl /Users/david/RECHERCHE/OUTILS/veriT/veriT/extern/reduce/csl/cslbase/mac.r
    make[3]: /Developer/Tools/Rez: No such file or directory
    make[3]: [make-clickable] Error 1
    make[2]: [all] Error 2
    make[1]: *** [all] Error 2
    Davids-MacBook-Air:reduce david$ which Rez
    /usr/bin/Rez
    Davids-MacBook-Air:reduce david$ ping www.zib.de
    PING typo.zib.de (130.73.108.64): 56 data bytes
    64 bytes from 130.73.108.64: icmp_seq=0 ttl=246 time=287.340 ms
    64 bytes from 130.73.108.64: icmp_seq=1 ttl=246 time=310.286 ms
    64 bytes from 130.73.108.64: icmp_seq=2 ttl=246 time=333.036 ms
    ^C
    Davids-MacBook-Air:reduce david$ wget http://www.zib.de
    --2013-10-02 12:48:36-- http://www.zib.de/
    Resolving www.zib.de... 130.73.108.64
    Connecting to www.zib.de|130.73.108.64|:80... connected.
    HTTP request sent, awaiting response... 301 Moved Permanently
    Location: http://www.zib.de/de/home.html [following]
    --2013-10-02 12:48:36-- http://www.zib.de/de/home.html
    Reusing existing connection to www.zib.de:80.
    HTTP request sent, awaiting response... 200 OK
    Length: unspecified [text/html]
    Saving to: `index.html'

    [ <=> ] 16,678 26.7K/s in 0.6s
    2013-10-02 12:48:37 (26.7 KB/s) - `index.html' saved [16678]

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/reduce-algebra/bugs/52/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #52

  • Arthur Norman
    Arthur Norman
    2013-10-02

    Try "export DONT_USE_XPORT=1" ahead of doing the configure step. This
    gets the various PSL files in a different way that is probably soon going
    to be the default and might cope better.
    Indeed, this did it!

    Hoorah!

    Actually looking harder I understand just what is going on. The "xport"
    code (which is mine!) needs an SDK to build, and has not been updated to
    cope with a system where it can not find the 10.5 or 10.6 one (or some
    such). And because it is under sentence of death (it has lived a long and
    productive life, but should now be allowed to rest) I am not keen to re-do
    the autoconf scripts for it to cope with all the Mac awkwardnesses. Well
    with the demise ox ppc and hence fat binaries things are less horrid there
    than they used to be, but to balance that the Apple move towards locking
    things down so that the free and flexible distribution of software is
    discouraged makes me less and less keen to support that platform - because
    I am awkward.

    (2) Also try "./configure --with-csl" to check if that behaves for you.
    I did not try this one though as I needed to configure with --with-psl.

    As the CSL person I am VERY happy that it will be the PSL lot who will
    take on maintenance support for you usege (ha ha ha!). But it will also
    interest me to know what particular aspects of PSL are the deal-breakers
    for you in this case... I know that people who wish to use the "daisy"
    package need to use PSL because the Daisy people keep their source code
    private and only happen to distribute PSL-compatible binaries - undestaing
    other issues will help me know what I should put on my agenda.

    Good luck and glad you are now able to move ahead.

           Arthur
    
     
  • Thomas Sturm
    Thomas Sturm
    2013-10-03

    On my up-to-date Mac, PSL builds also with

    export DONT_USE_XPORT=1

    David: Please try this. Before configure you can always go

    rm -rf pslbuild

    to remove the remains from your failed attempts. The PSL build happens there, and only there.

    Best,

    Thomas

     
  • Thomas Sturm
    Thomas Sturm
    2013-10-03

    Sorry, I had missed the message that you have already done so. Am I the only one getting lost in this horrible web design?

    T

     
  • Rainer Schöpf
    Rainer Schöpf
    2013-10-03

    • labels: --> MacOSX
    • status: open --> closed
    • Group: -->
     
  • Rainer Schöpf
    Rainer Schöpf
    2013-10-03

    Resolved